name: engagehub
description: EngageHub - Employee Engagement Platform
publish_to: 'none'
version: 1.0.0+1

environment:
  sdk: '>=3.2.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  
  # State Management
  flutter_riverpod: ^2.4.9
  riverpod_annotation: ^2.3.3
  
  # Navigation
  go_router: ^15.1.2
  
  # Networking
  dio: ^5.4.0
  http: ^1.2.0
  retrofit: ^4.0.3
  json_annotation: ^4.8.1
  
  # WebSocket
  socket_io_client: ^3.1.3
  
  # Local Storage
  shared_preferences: ^2.2.2
  flutter_secure_storage: ^10.0.0
  hive_flutter: ^1.1.0
  
  # UI Components
  flutter_svg: ^2.0.9
  cached_network_image: ^3.3.1
  shimmer: ^3.0.0
  
  # Forms & Validation
  flutter_form_builder: ^9.1.1
  form_builder_validators: ^11.0.0
  
  # Media
  image_picker: ^1.0.7
  crop_your_image: ^2.0.0
  video_player: ^2.8.2
  chewie: ^1.7.4
  file_picker: ^6.1.1
  
  # Chat & Messaging
  flutter_chat_ui: ^1.6.10
  flutter_chat_types: ^3.6.2
  
  # Push Notifications
  firebase_core: ^4.3.0
  firebase_messaging: ^16.1.0
  flutter_local_notifications: ^19.5.0
  
  # Authentication
  pin_code_fields: ^8.0.1
  intl_phone_number_input: ^0.7.4
  
  # Utilities
  intl: ^0.20.2
  timeago: ^3.6.1
  url_launcher: ^6.2.2
  share_plus: ^12.0.1
  
  # Camera & QR
  camera: ^0.11.0+2
  
  # WebView for SCORM
  webview_flutter: ^4.5.0
  
  # Animations
  flutter_animate: ^4.3.0
  lottie: ^3.0.0
  
  # Charts for analytics
  fl_chart: ^0.71.0
  
  # Cupertino Icons
  cupertino_icons: ^1.0.6

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^5.0.0
  build_runner: ^2.4.8
  retrofit_generator: ^8.2.1
  json_serializable: ^6.7.1
  riverpod_generator: ^2.3.9
  hive_generator: ^2.0.1

# Flutter SDK pins `intl` via `flutter_localizations`, and Flutter 3.38 uses intl 0.20.2.
# Some dependencies still declare `<0.20.0`, but work fine in practice.
dependency_overrides:
  intl: 0.20.2

flutter:
  uses-material-design: true
  
  # Note: Uncomment assets and fonts when files are added
  # assets:
  #   - assets/images/
  #   - assets/icons/
  #   - assets/animations/
  
  # fonts:
  #   - family: Outfit
  #     fonts:
  #       - asset: assets/fonts/Outfit-Regular.ttf
  #       - asset: assets/fonts/Outfit-Medium.ttf
  #         weight: 500
  #       - asset: assets/fonts/Outfit-SemiBold.ttf
  #         weight: 600
  #       - asset: assets/fonts/Outfit-Bold.ttf
  #         weight: 700
